<?php
namespace Claromentis\Core\Module;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_aa0553266235d1e7c43a6e88" . "69464820" => base64_decode("REFUQ" . "V9ESV" . "I="), "_3646e924512f86521d3853d8a0" . "d5ef20" => base64_decode("Y29yZS5" . "jdXN0b2" . "1fcGF0a" . "A=="), "_677bc33cfc057a689acf5" . "96b15f0ae8f" => base64_decode("Y29yZS5p" . "bnRyYW5l" . "dF9wYXRo"), "_fc9d7314a9d9958d8fa0a403ba8ff" . "197" => base64_decode("Z2V0X2" . "NsYXNz"), "_45a157a6" . "23e313165" . "93605eeb7" . "fa37ec" => base64_decode("YXBwbG" . "ljYXRp" . "b25z"), "_6c8e717df3fc2e5caa79afd002fd22" . "72" => base64_decode("dmV" . "yc2" . "lvb" . "nM="), "_c51bc96058fbdbf4" . "c2ef19b306d1a124" => base64_decode("Y2xhc3NfZXh" . "pc3Rz"), "_fa447d7fa2948f150ff80176241af" . "90d" => base64_decode("cGx1Z2lucy5y" . "ZXBvc2l0b3J5"), "_a668ea431a2f50e" . "2802dc226025d4d9" . "6" => base64_decode("U2tpcHBlZCByZWdpc3RlcmluZyBhcHBsaWNhdGlvbiAnJXMnOyBpdCBk" . "b2VzIG5vdCBpbXBsZW1lbnQgJyVzJw=="), "_627b3c3896a7de4bf" . "f66ce8c38862087" => base64_decode("Y29yZS5i" . "YXNlX3Bh" . "dGg="), "_b497ce6f2af10f67516aed0ecf" . "34d8cf" => base64_decode("ZGlzcG" . "F0Y2hl" . "cg=="), "_9c5ee1b2c77f9815910fd2b5" . "42a61a4a" => base64_decode("JyBpcyByZWdpc3RlcmVkLCBidXQgZG9lc24ndCBleGlz" . "dA=="), "_2b9b83b16cb8aa329cf0691ef433f3" . "72" => base64_decode("c3l" . "zdG" . "Vt"), "_8b0e61a144a6a2c611168b0c4" . "e628b0f" => base64_decode("RXJyb3IgcmVnaXN0ZXJpbmcgYXBwbGljYXRpb24gcGx1Z2luICc" . "lcyc="), "_3ff276eba" . "0f87c788f2" . "f78fc900fe" . "84d" => base64_decode("UGx1Z2luIG" . "NsYXNzICc="), "_6596b8f6a4969" . "f9a3f6a1b22b90" . "e9331" => base64_decode("c3ByaW50" . "Zg=="), "_a99e51514fd0fcca58579cb" . "5552a6035" => base64_decode("cGx1" . "Z2lu" . "cw=="), "_f10e5dfcd675369f9b7a7e5111a1743" . "1" => base64_decode("L2Nvbm" . "ZpZw=="));
use Claromentis\Console\Util\ApplicationRegistry;
use Claromentis\Console\Util\Locator;
use Claromentis\Core\Application;
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\Core\Log\LoggerFactory;
use Claromentis\Core\Plugin\PluginsRepository;
use Silex\Api\BootableProviderInterface;
use Claromentis\Core\Event\LazyResolver;
use Claromentis\Core\Module;
use Claromentis\Core\Plugin;
use Claromentis\Core\Plugin\AuditSubscriber;
use Pimple\Container;
use Pimple\ServiceProviderInterface;
use Psr\Log\LoggerInterface;
use Silex\Api\EventListenerProviderInterface;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Throwable;




class ModuleServiceProvider implements ServiceProviderInterface, BootableProviderInterface, EventListenerProviderInterface
{
    public function register(Container $app)
    {
        
        
        $app[PluginsRepository::class] = function ($app) {
            return new PluginsRepository($app->config[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_aa0553266235d1e7c43a6e88" . "69464820"]] . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_f10e5df" . "cd675369" . "f9b7a7e5" . "111a1743" . "1"]);
        };
        $app[AuditSubscriber::class] = function (Application $app) {
            return $app->create(AuditSubscriber::class);
        };
        $app[Module\Api::class] = function (Application $app) {
            $api = new Module\Api($app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_627b3c3896a7de4bff" . "66ce8c38862087"]], $app[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_677bc33cfc05" . "7a689acf596b1" . "5f0ae8f"]], $app[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3646e924512f86521d3853d8" . "a0d5ef20"]]);
            if (isset($app->db)) {
                $api->setDatabase($app->db);
            }
            $api->setLogger($app->GetLogger($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2b9b83b16cb8aa329cf0691ef43" . "3f372"]));
            return $api;
        };
        $app[Plugin\Api::class] = function (Application $app) {
            
            
            $api = $app->create(Plugin\Api::class);
            $api->setLogger($app->GetLogger($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2b9b83b16cb8aa329cf0691ef433f" . "372"]));
            return $api;
        };
        $app[Locator::class] = function (Application $app) {
            return new Locator($app[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_627b3c3896a7de4bff66c" . "e8c38862087"]]);
        };
        $app[ApplicationRegistry::class] = function (Application $app) {
            
            
            $registry = $app->create(ApplicationRegistry::class);
            if (isset($app->db)) {
                $registry->setDatabase($app->db);
            }
            return $registry;
        };
        
        
        $app[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fa447d7" . "fa2948f1" . "50ff8017" . "6241af90" . "d"]] = PluginsRepository::class;
        $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_a99e51514f" . "d0fcca58579" . "cb5552a6035"]] = Plugin\Api::class;
        $app[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_6c8e717df3fc2e5caa79afd002f" . "d2272"]] = Module\Api::class;
        
        
        $this->registerModules($app);
    }
    
    
    
    
    
    
    protected function registerModules(Container $app)
    {
        
        
        $_45a157a623e31316593605eeb7fa37ec = [
            
            
            new \Claromentis\Core\Audit\AuditApplication(),
            new \Claromentis\WhatsNew\WhatsNewApplication(),
            
            
            new \Claromentis\Admin\Sysadmin\SysadminApplication(),
            new \Claromentis\Menu\MenuApplication(),
            new \Claromentis\Blog\BlogApplication(),
            new \Claromentis\Calendar\CalendarApplication(),
            new \Claromentis\Comments\CommentsServiceProvider(),
            new \Claromentis\Communication\CommunicationApplication(),
            new \Claromentis\Core\DataTable\Application(),
            new \Claromentis\Core\Like\LikesApplication(),
            new \Claromentis\Design\DesignApplication(),
            new \Claromentis\Documents\DocumentsApplication(),
            new \Claromentis\Forum\ForumApplication(),
            new \Claromentis\Help\HelpApplication(),
            new \Claromentis\Holidays\HolidaysApplication(),
            new \Claromentis\Login\LoginApplication(),
            new \Claromentis\Infocapture\InfocaptureApplication(),
            new \Claromentis\Main\HomePageApplication(),
            new \Claromentis\Mailgun\MailgunApplication(),
            new \Claromentis\News\NewsApplication(),
            new \Claromentis\OAuth2\OAuth2ServiceProvider(),
            new \Claromentis\Orgchart\OrgchartApplication(),
            new \Claromentis\People\PeopleApplication(),
            new \Claromentis\Rooms\RoomsApplication(),
            new \Claromentis\Gallery\GalleryApplication(),
            new \Claromentis\Search\SearchApplication(),
            new \Claromentis\Share\ShareApplication(),
            new \Claromentis\Onesignal\OnesignalApplication(),
            new \Claromentis\Admin\Sysadmin\IntegrationApplication(),
            new \Claromentis\Core\HealthCheck\HealthCheckApplication(),
            new \Claromentis\Core\Assets\AssetsApplication(),
            new \Claromentis\Admin\AdminPanelApplication(),
            new \Claromentis\Stat\StatApplication(),
        ];
        
        
        $_989ee88ce4d16454378692b7146e1d1c = $app[PluginsRepository::class];
        
        
        $_83e732e1e637ca0485df84759c2d3a20 = $_989ee88ce4d16454378692b7146e1d1c->GetClasses();
        foreach ($_83e732e1e637ca0485df84759c2d3a20 as $_66e1c6037dddc000087424629179d919) {
            if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c51bc96058fbdbf4c2ef19" . "b306d1a124"]($_66e1c6037dddc000087424629179d919)) {
                $_38198dbb7190fed0f875632ecef1ac6f = new $_66e1c6037dddc000087424629179d919();
                $_45a157a623e31316593605eeb7fa37ec[] = $_38198dbb7190fed0f875632ecef1ac6f;
            } else {
                $logger = $this->getLogger($app);
                $logger->alert($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_3ff276eba0f87c788f2" . "f78fc900fe84d"] . $_66e1c6037dddc000087424629179d919 . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_9c5ee1b2c77" . "f9815910fd2b" . "542a61a4a"]);
            }
        }
        
        
        $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_45a157a623e313165936" . "05eeb7fa37ec"]] = $_45a157a623e31316593605eeb7fa37ec;
        foreach ($_45a157a623e31316593605eeb7fa37ec as $_f44467aacb8a4520c7382769d24aa422) {
            if ($_f44467aacb8a4520c7382769d24aa422 instanceof ServiceProviderInterface) {
                try {
                    $app->register($_f44467aacb8a4520c7382769d24aa422);
                } catch (Throwable $_3a16c5fe1a78b54b69e204ec07dcf670) {
                    $logger = $this->getLogger($app);
                    $logger->critical($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6596b8f6a4" . "969f9a3f6a1" . "b22b90e9331"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_8b0e61a144a6a2c611168b0c4e62" . "8b0f"], $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_fc9d7314a9" . "d9958d8fa0a" . "403ba8ff197"]($_f44467aacb8a4520c7382769d24aa422)));
                    $logger->critical($_3a16c5fe1a78b54b69e204ec07dcf670);
                }
            } else {
                $logger = $this->getLogger($app);
                $logger->debug($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6596b8f6a4969f9a3f6a1b" . "22b90e9331"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_a668ea431" . "a2f50e2802" . "dc226025d4" . "d96"], $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fc9d7314a" . "9d9958d8fa" . "0a403ba8ff" . "197"]($_f44467aacb8a4520c7382769d24aa422), ServiceProviderInterface::class));
            }
        }
    }
    public function boot(\Silex\Application $app)
    {
        foreach ($app[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_45a157a623e313" . "16593605eeb7fa3" . "7ec"]] as $_f44467aacb8a4520c7382769d24aa422) {
            if ($_f44467aacb8a4520c7382769d24aa422 instanceof EventSubscriberInterface) {
                $app[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_b497ce6f2" . "af10f67516" . "aed0ecf34d" . "8cf"]]->addSubscriber($_f44467aacb8a4520c7382769d24aa422);
            }
        }
    }
    public function subscribe(Container $app, EventDispatcherInterface $_b497ce6f2af10f67516aed0ecf34d8cf)
    {
        
        
        (new LazyResolver($app, Plugin\AuditSubscriber::class, Plugin\AuditSubscriber::getSubscribedEvents()))->subscribe($_b497ce6f2af10f67516aed0ecf34d8cf);
    }
    
    
    
    
    
    
    
    protected function getLogger(Container $app) : LoggerInterface
    {
        
        
        $_7e1adb3b5de3c83f8c0c9b057bd5e6de = $app[LoggerFactory::class];
        return $_7e1adb3b5de3c83f8c0c9b057bd5e6de->GetLogger($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_2b9b83b16cb8aa329cf0691ef433" . "f372"]);
    }
}